Subject: Re: linux-next: build failure after merge of the pstore tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 2 Jun 2016 14:03:07 +1000

Hi Kees,

On Thu, 2 Jun 2016 10:25:56 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the pstore tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/acpi/apei/erst.c:943:11: error: initialization from incompatible pointer type [-Werror=incompatible-pointer-types]
>   .read  = erst_reader,
>            ^

This also affected arch/powerpc/kernel/nvram_64.c:

arch/powerpc/kernel/nvram_64.c:563:10: error: initialization
 from incompatible pointer type [-Werror=incompatible-pointer-types]
  .read = nvram_pstore_read,
          ^

So I added this patch as well:

From: Stephen Rothwell <[email-masked]>
Date: Thu, 2 Jun 2016 13:58:25 +1000
Subject: [PATCH] pstore: update arch/powerpc/kernel/nvram_64.c for struct pstore_info change

Fixes: d8aaf3511a13 ("pstore: add lzo/lz4 compression support")
Signed-off-by: Stephen Rothwell <[email-masked]>
---
 arch/powerpc/kernel/nvram_64.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/arch/powerpc/kernel/nvram_64.c b/arch/powerpc/kernel/nvram_64.c
index 856f9a7944cd..5ad2579e2cdc 100644
--- a/arch/powerpc/kernel/nvram_64.c
+++ b/arch/powerpc/kernel/nvram_64.c
@@ -444,7 +444,8 @@ static int nvram_pstore_write(enum pstore_type_id type,
  */
 static ssize_t nvram_pstore_read(u64 *id, enum pstore_type_id *type,
 				int *count, struct timespec *time, char **buf,
-				bool *compressed, struct pstore_info *psi)
+				bool *compressed, ssize_t *ecc_notice_size,
+				struct pstore_info *psi)
 {
 	struct oops_log_info *oops_hdr;
 	unsigned int err_type, id_no, size = 0;
-- 
2.8.1

I guess I don't really know if there is further fixes necessary, these
patches just fix up the build.
-- 
Cheers,
Stephen Rothwell